<?php
//Header File
if ( ! defined( 'ABSPATH' ) ) exit;
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<?php
wp_head();
?>
</head>
<body <?php body_class(); ?>>
<div id="global" class="global">
    <?php
        get_template_part('mobile','sidebar');
    ?> 
    <div class="pusher">
        <?php
            $fix=vibe_get_option('header_fix');
        ?>
        <header class="sleek <?php if(isset($fix) && $fix){echo 'fix';} ?>">
            <div class="<?php echo vibe_get_container(); ?>">
                <div class="udemy_shakti">
                    <div class="logo_shakti">
                        <?php

                            if(is_front_page()){
                                echo '<h1 id="logo">';
                            }else{
                                echo '<h2 id="logo">';
                            }
                            $url = apply_filters('wplms_logo_url',VIBE_URL.'/assets/images/logo.png','header');
                            if(!empty($url)){
                        ?>
                            <a href="<?php echo vibe_site_url('','logo'); ?>"><img src="<?php echo vibe_sanitizer($url,'url'); ?>" alt="<?php echo get_bloginfo('name'); ?>" /></a>
                        <?php
                            }
                            if(is_front_page()){
                                echo '</h1>';
                            }else{
                                echo '</h2>';
                            }
                        ?>
                    </div>
                    <div class="main_menu_shakti">
                        <?php
                            $args = apply_filters('wplms-main-menu-2',array(
                                 'theme_location'  => 'main-menu',
                                 'container'       => 'nav',
                                 'menu_class'      => 'menu',
                                 'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                 'walker'          => new vibe_walker,
                                 'fallback_cb'     => 'vibe_set_menu'
                             ));
                            wp_nav_menu( $args ); 
                        ?>
                    </div>
                    <div class="search_udemy">
                        <form method="get" action="/" class="search_form_udemy">
                            <div>
                                <input type="text" name="s" value="<?php echo $_GET['s']; ?>" placeholder="Search for anything" />
                            </div>
                        </form>
                    </div>
                    <div class="top_menu_udemy">
                            <?php    
                            
                            $args = apply_filters('wplms-top-menu-2',array(
                                'theme_location'  => 'top-menu',
                                'container'       => '',
                                'depth'           => 1,
                                'menu_class'      => 'topmenu_udemy',
                                'fallback_cb'     => 'vibe_set_menu',
                            ));

                            wp_nav_menu( $args );
                            ?>
                    </div>
                    <div class="links_udemy">
                        <ul>
                        <?php
                            if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) )  || (function_exists('vibe_check_plugin_installed') && vibe_check_plugin_installed( 'woocommerce/woocommerce.php'))) { global $woocommerce;
                                    ?>
                                    <li><a class="vbpcart"><span class="fa fa-cart-plus"><?php echo (($woocommerce->cart->cart_contents_count)?'<em>'.$woocommerce->cart->cart_contents_count.'</em>':''); ?></span></a>
                                    <div class="woocart"><div class="widget_shopping_cart_content"><?php woocommerce_mini_cart(); ?></div></div>
                                    </li>
                            <?php
                            }

                                if ( function_exists('bp_loggedin_user_link') && is_user_logged_in() ) :
                                ?>
                                    <li><a href="<?php bp_loggedin_user_link(); ?>" class="smallimg vbplogin"><?php $n=vbp_current_user_notification_count(); echo ((isset($n) && $n)?'<em></em>':''); bp_loggedin_user_avatar( 'type=full' ); ?><span><?php bp_loggedin_user_fullname(); ?></span></a></li>
                            <?php                            
                            else :
                                $enable_signup = apply_filters('wplms_enable_signup',0);
                                if ( $enable_signup ) :
                                ?>  
                                <li><a href="#login" rel="nofollow" class="shakti vbplogin"><span><?php _e('Log in','vibe'); ?></span></a></li> 
                                <li>
                        <?php
                        $registration_link = apply_filters('wplms_buddypress_registration_link',site_url( BP_REGISTER_SLUG . '/' ));                        
                        printf('<a href="%s" class="shakti vbpregister" title="'.__('Create an account','vibe').'" tabindex="5" ><span>'.__( 'Sign Up','vibe' ).'</span></a> ', $registration_link );
                    ?></li>
                          
                    <?php
                    endif;
                    endif; 
                    ?>
                        </ul>
                        <?php
                            $style = vibe_get_login_style();
                            if(empty($style)){
                                $style='default_login';
                            }
                        ?>
                        <div id="vibe_bp_login" class="<?php echo vibe_sanitizer($style,'text'); ?>">
                        <?php
                            vibe_include_template("login/$style.php");
                         ?>
                       </div>
                    </div>
                    <a id="trigger">
                        <span class="lines"></span>
                    </a>
                </div>
            </div>
        </header>
        <style>
        
.udemy_shakti .links_udemy div#wplms_custom_registration_form .wplms_registration_form label, .udemy_shakti .links_udemy div#wplms_custom_registration_form a.back_to_login.small{font-size: 14px; font-weight: 600;color: #29303b !important;}
.udemy_shakti .links_udemy div#wplms_custom_registration_form .wplms_registration_form .bp-profile-field legend{font-size: 14px; font-weight: 600; border: none; margin-bottom: 8px;}
.udemy_shakti .links_udemy div#wplms_custom_registration_form a.back_to_login.small:hover{color: #ec5252 !important;}
.udemy_shakti .links_udemy div#wplms_custom_registration_form .wplms_registration_form input{   
 background: #fff !important;
 border: 1px solid #29303b !important;
 border-radius: 4px !important;
 width: 100%;
 height: 37px !important;
}
.udemy_shakti .links_udemy div#wplms_custom_registration_form .wplms_registration_form input:focus{border: 1px solid #ec5252 !important;}
.udemy_shakti .links_udemy div#wplms_custom_registration_form .wplms_registration_form a.submit_registration_form.button {   
width: 100%; 
color: #fff;
background-color: #ec5252;
border: 1px solid transparent;
border-radius: 4px;
text-align: center
}
.udemy_shakti .links_udemy div#wplms_custom_registration_form .wplms_registration_form a.submit_registration_form.button:hover {   
    background-color: #992337 !important;
    border-color: transparent;
}
.udemy_shakti{display: grid; grid-template-columns: 100px 160px 1fr 20% 210px; align-items: center; grid-gap: 10px;}
.search_form_udemy{position: relative;}
.search_form_udemy input{
width: 100%; border-radius: 5px; padding: 8px 24px 8px 12px;
}.search_form_udemy>div:after {
position: absolute;
content: "\f002";
font-family: fontawesome;
top: 8px;
right: 12px;
color: red;
}
.logged-out .udemy_shakti .links_udemy>ul li:nth-child(2) {    
color: #686f7a;
background-color: #fff;
border: 1px solid #686f7a;
font-weight: 600;
text-align: center;
vertical-align: middle;    
padding: 11px 12px;
font-size: 15px;
line-height: 1.35135;
border-radius: 2px;
}

.udemy_shakti .links_udemy>ul li:nth-child(3) {  
background-color: #ec5252;
color: #fff !important;
border: 1px solid #ffffff00;
font-weight: 600;
text-align: center;
vertical-align: middle;    
padding: 11px 12px;
font-size: 15px;
line-height: 1.35135;
border-radius: 2px;
}
.udemy_shakti ul#menu-udemy-menu-1 li> a {
color: #505763 !important;
font-weight: 400;
line-height: 20px;
padding: 12px 15px;
font-size: 15px;
}

.links_udemy a.vbpcart {font-size: 18px;color: #505763 !important; }
.udemy_shakti nav ul.menu>li>a strong:before { 
content: "\f00a";
font-family: fontawesome;
margin-right: 6px;
color: #505763b0;
font-size: 15px;
}
.udemy_shakti .top_menu_udemy ul#menu-udemy-top-menu {    
display: grid;
grid-template-columns: 1fr 1fr;
align-items: center;
grid-gap: 5px;
}
.udemy_shakti .top_menu_udemy ul#menu-udemy-top-menu li{
color: #686f7a !important;
background-color: #fff0;
border: 1px solid #686f7a00;
font-weight: 600;
text-align: center;
vertical-align: middle;
padding: 11px 12px;
font-size: 13px;
line-height: 1.35135;
border-radius: 2px;

}
.udemy_shakti .top_menu_udemy ul#menu-udemy-top-menu li:hover{
background-color: #9e9e9e26;
border: 1px solid #9e9e9e26;
font-weight: 600;
text-align: center;
vertical-align: middle;
padding: 11px 12px;
font-size: 13px;
line-height: 1.35135;
border-radius: 2px;
}
.udemy_shakti .top_menu_udemy ul#menu-udemy-top-menu li a{
color: #080808 !important;
}
.udemy_shakti .main_menu_shakti ul#menu-main_menu ul.sub-menu li:hover{
background-color: #9e9e9e4d;
border-radius: 2px;
}


.udemy_shakti .links_udemy a.shakti.vbpregister{color: #fff !important;}
.udemy_shakti .links_udemy a.shakti.vbplogin{color: #505763;}
.logged-in .sleek .udemy_shakti .links_udemy div#vibe_bp_login {right: -6% !important;}
.sleek .main_menu_shakti nav>ul#menu-main_menu>li>a{color: #505763 !important;}
.main_menu_shakti li.menu-item-has-children:hover>a:before { display: none !important;}
.main_menu_shakti ul.sub-menu li.menu-item-type-taxonomy a i{font-size: 17.7px !important;}
.udemy_shakti ul.sub-menu li.menu-item-type-taxonomy>a { 
grid-template-columns: 30px 1fr 10px !important;
grid-gap: 5px;
}



.links_udemy > ul {
display: grid;grid-gap:5px;
grid-template-columns: 40px repeat(auto-fit,minmax(40px,1fr));
justify-items: center;
align-items: center;
}@media(max-width:992px){
.udemy_shakti{grid-template-columns:120px 1fr 50px;}
.links_udemy {
width: 180px;
justify-self: flex-end;
}
.search_udemy,.top_menu_udemy,.main_menu_shakti{
display:none;
}
}
        </style>